The Horizontal Inspection Unit measures dispensing needles, tools and components at the tool.
A stereoscopic camera system inspects at the components from two perspectives and a control software calculates an exact spatial coordinate afterwards.